Add new configuration and scripts to automate the credential creation and passing...
[it/dep.git] / ric-infra / 10-Nexus / bin / deploy_nexus_data
diff --git a/ric-infra/10-Nexus/bin/deploy_nexus_data b/ric-infra/10-Nexus/bin/deploy_nexus_data
new file mode 100755 (executable)
index 0000000..8c630f0
--- /dev/null
@@ -0,0 +1,70 @@
+#!/bin/bash
+################################################################################
+#   Copyright (c) 2019 AT&T Intellectual Property.                             #
+#   Copyright (c) 2019 Nokia.                                                  #
+#                                                                              #
+#   Licensed under the Apache License, Version 2.0 (the "License");            #
+#   you may not use this file except in compliance with the License.           #
+#   You may obtain a copy of the License at                                    #
+#                                                                              #
+#       http://www.apache.org/licenses/LICENSE-2.0                             #
+#                                                                              #
+#   Unless required by applicable law or agreed to in writing, software        #
+#   distributed under the License is distributed on an "AS IS" BASIS,          #
+#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
+#   See the License for the specific language governing permissions and        #
+#   limitations under the License.                                             #
+################################################################################
+
+OVERRIDEYAML=$1
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )"
+
+
+
+
+
+
+if [ -z $OVERRIDEYAML ]; then
+
+  DATAPATH=$(cat $DIR/../helm/values.yaml | awk '/^.*datapath:.*/{ print $2;}')
+  
+else
+
+  DATAPATH=$(cat $OVERRIDEYAML | awk '/^.*datapath:.*/{ print $2;}')
+
+
+  if [ -z $DATAPATH ]; then
+    DATAPATH=$(cat $DIR/../helm/values.yaml | awk '/^.*datapath:.*/{ print $2;}')
+  fi
+
+fi
+
+if [ -e $DATAPATH ]; then
+       if [ ! -w $DATAPATH ]; then
+               echo "Error: you don't have write permission to directory $DATAPATH"
+               echo "Deployment terminated."
+               exit 1
+       fi
+
+       rm -rf $DATAPATH
+
+       mkdir -p $DATAPATH
+
+       tar -xf $DIR/../etc/conf.tar -C $DATAPATH
+
+       chmod -R a+rwx $DATAPATH
+else
+       mkdir -p $DATAPATH
+        if [ $? -eq 0 ]; then
+          tar -xf $DIR/../etc/conf.tar -C $DATAPATH
+          chmod -R a+rwx $DATAPATH
+        else
+         echo "Error: you don't have write permission to directory $DATAPATH"
+          echo "Deployment terminated."
+          exit 1
+       fi
+
+
+fi
+
+